## gcc-arm-linux-androideabi 0.20130705.1

=== android/build/core/Makefile ===
# Put some miscellaneous rules here

# Pick a reasonable string to use to identify files.
ifneq "" "$(filter eng.%,$(BUILD_NUMBER))"
  # BUILD_NUMBER has a timestamp in it, which means that
  # it will change every time.  Pick a stable value.
  FILE_NAME_TAG := eng.$(USER)
else
  FILE_NAME_TAG := $(BUILD_NUMBER)
endif

is_tests_build := $(filter tests,$(MAKECMDGOALS))

# -----------------------------------------------------------------
# Define rules to copy PRODUCT_COPY_FILES defined by the product.
# PRODUCT_COPY_FILES contains words like <source file>:<dest file>.
# <dest file> is relative to $(PRODUCT_OUT), so it should look like,
# e.g., "system/etc/file.xml".
# The filter part means "only eval the copy-one-file rule if this
# src:dest pair is the first one to match the same dest"
#$(1): the src:dest pair
define check-product-copy-files
$(if $(filter %.apk, $(1)),$(error \
    Prebuilt apk found in PRODUCT_COPY_FILES: $(1), use BUILD_PREBUILT instead!))
endef
unique_product_copy_files_destinations :=
$(foreach cf,$(PRODUCT_COPY_FILES), \
    $(eval _src := $(call word-colon,1,$(cf))) \
    $(eval _dest := $(call word-colon,2,$(cf))) \
    $(call check-product-copy-files,$(cf)) \
    $(if $(filter $(unique_product_copy_files_destinations),$(_dest)), \
        $(info PRODUCT_COPY_FILES $(cf) ignored.), \
        $(eval _fulldest := $(call append-path,$(PRODUCT_OUT),$(_dest))) \
        $(if $(filter %.xml,$(_dest)),\
            $(eval $(call copy-xml-file-checked,$(_src),$(_fulldest))),\
            $(eval $(call copy-one-file,$(_src),$(_fulldest)))) \
        $(eval ALL_DEFAULT_INSTALLED_MODULES += $(_fulldest)) \
        $(eval unique_product_copy_files_destinations += $(_dest))))
unique_product_copy_files_destinations :=

# -----------------------------------------------------------------
# docs/index.html
ifeq (,$(TARGET_BUILD_APPS))
gen := $(OUT_DOCS)/index.html
ALL_DOCS += $(gen)
$(gen): frameworks/base/docs/docs-redirect-index.html
	@mkdir -p $(dir $@)
	@cp -f $< $@
endif

# -----------------------------------------------------------------
# default.prop
INSTALLED_DEFAULT_PROP_TARGET := $(TARGET_ROOT_OUT)/default.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_DEFAULT_PROP_TARGET)
ADDITIONAL_DEFAULT_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_DEFAULT_PROPERTIES))
ADDITIONAL_DEFAULT_PROPERTIES += \
    $(call collapse-pairs, $(PRODUCT_DEFAULT_PROPERTY_OVERRIDES))
ADDITIONAL_DEFAULT_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_DEFAULT_PROPERTIES),=)

$(INSTALLED_DEFAULT_PROP_TARGET):
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) echo "#" > $@; \
	        echo "# ADDITIONAL_DEFAULT_PROPERTIES" >> $@; \
	        echo "#" >> $@;
	$(hide) $(foreach line,$(ADDITIONAL_DEFAULT_PROPERTIES), \
		echo "$(line)" >> $@;)
	build/tools/post_process_props.py $@

# -----------------------------------------------------------------
# build.prop
INSTALLED_BUILD_PROP_TARGET := $(TARGET_OUT)/build.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_BUILD_PROP_TARGET)
ADDITIONAL_BUILD_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_BUILD_PROPERTIES))
ADDITIONAL_BUILD_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_BUILD_PROPERTIES),=)

# A list of arbitrary tags describing the build configuration.
# Force ":=" so we can use +=
BUILD_VERSION_TAGS := $(BUILD_VERSION_TAGS)
ifeq ($(TARGET_BUILD_TYPE),debug)
  BUILD_VERSION_TAGS += debug
endif
# The "test-keys" tag marks builds signed with the old test keys,
# which are available in the SDK.  "dev-keys" marks builds signed with
# non-default dev keys (usually private keys from a vendor directory).
# Both of these tags will be removed and replaced with "release-keys"
# when the target-files is signed in a post-build step.
ifeq ($(DEFAULT_SYSTEM_DEV_CERTIFICATE),build/target/product/security/testkey)
BUILD_VERSION_TAGS += test-keys
else
BUILD_VERSION_TAGS += dev-keys
endif
BUILD_VERSION_TAGS := $(subst $(space),$(comma),$(sort $(BUILD_VERSION_TAGS)))

# A human-readable string that descibes this build in detail.
build_desc := $(TARGET_PRODUCT)-$(TARGET_BUILD_VARIANT) $(PLATFORM_VERSION) $(BUILD_ID) $(BUILD_NUMBER) $(BUILD_VERSION_TAGS)
$(INSTALLED_BUILD_PROP_TARGET): PRIVATE_BUILD_DESC := $(build_desc)

# The string used to uniquely identify this build;  used by the OTA server.
ifeq (,$(strip $(BUILD_FINGERPRINT)))
  BUILD_FINGERPRINT := $(PRODUCT_BRAND)/$(TARGET_PRODUCT)/$(TARGET_DEVICE):$(PLATFORM_VERSION)/$(BUILD_ID)/$(BUILD_NUMBER):$(TARGET_BUILD_VARIANT)/$(BUILD_VERSION_TAGS)
endif
ifneq ($(words $(BUILD_FINGERPRINT)),1)
  $(error BUILD_FINGERPRINT cannot contain spaces: "$(BUILD_FINGERPRINT)")
endif

# Display parameters shown under Settings -> About Phone
ifeq ($(TARGET_BUILD_VARIANT),user)
  # User builds should show:
  # release build number or branch.buld_number non-release builds

  # Dev. branches should have DISPLAY_BUILD_NUMBER set
  ifeq "true" "$(DISPLAY_BUILD_NUMBER)"
    BUILD_DISPLAY_ID := $(BUILD_ID).$(BUILD_NUMBER)
  else
    BUILD_DISPLAY_ID := $(BUILD_ID)
  endif
else
  # Non-user builds should show detailed build information
  BUILD_DISPLAY_ID := $(build_desc)
endif

# Whether there is default locale set in PRODUCT_PROPERTY_OVERRIDES
product_property_override_locale_language := $(strip \
    $(patsubst ro.product.locale.language=%,%,\
    $(filter ro.product.locale.language=%,$(PRODUCT_PROPERTY_OVERRIDES))))
product_property_overrides_locale_region := $(strip \
    $(patsubst ro.product.locale.region=%,%,\
    $(filter ro.product.locale.region=%,$(PRODUCT_PROPERTY_OVERRIDES))))

# Selects the first locale in the list given as the argument,
# and splits it into language and region, which each may be
# empty.
define default-locale
$(subst _, , $(firstword $(1)))
endef

# Selects the first locale in the list given as the argument
# and returns the language (or the region), if it's not set in PRODUCT_PROPERTY_OVERRIDES;
# Return empty string if it's already set in PRODUCT_PROPERTY_OVERRIDES.
define default-locale-language
$(if $(product_property_override_locale_language),,$(word 1, $(call default-locale, $(1))))
endef
define default-locale-region
$(if $(product_property_overrides_locale_region),,$(word 2, $(call default-locale, $(1))))
endef

BUILDINFO_SH := build/tools/buildinfo.sh
$(INSTALLED_BUILD_PROP_TARGET): $(BUILDINFO_SH) $(INTERNAL_BUILD_ID_MAKEFILE) $(BUILD_SYSTEM)/version_defaults.mk $(wildcard $(TARGET_DEVICE_DIR)/system.prop)
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) TARGET_BUILD_TYPE="$(TARGET_BUILD_VARIANT)" \
			TARGET_DEVICE="$(TARGET_DEVICE)" \
			PRODUCT_NAME="$(TARGET_PRODUCT)" \
			PRODUCT_BRAND="$(PRODUCT_BRAND)" \
			PRODUCT_DEFAULT_LANGUAGE="$(call default-locale-language,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_REGION="$(call default-locale-region,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_WIFI_CHANNELS="$(PRODUCT_DEFAULT_WIFI_CHANNELS)" \
			PRODUCT_MODEL="$(PRODUCT_MODEL)" \
			PRODUCT_MANUFACTURER="$(PRODUCT_MANUFACTURER)" \
			PRIVATE_BUILD_DESC="$(PRIVATE_BUILD_DESC)" \
			BUILD_ID="$(BUILD_ID)" \
			BUILD_DISPLAY_ID="$(BUILD_DISPLAY_ID)" \
			BUILD_NUMBER="$(BUILD_NUMBER)" \
			PLATFORM_VERSION="$(PLATFORM_VERSION)" \
			PLATFORM_SDK_VERSION="$(PLATFORM_SDK_VERSION)" \
			PLATFORM_VERSION_CODENAME="$(PLATFORM_VERSION_CODENAME)" \
			BUILD_VERSION_TAGS="$(BUILD_VERSION_TAGS)" \
			TARGET_BOOTLOADER_BOARD_NAME="$(TARGET_BOOTLOADER_BOARD_NAME)" \
			BUILD_FINGERPRINT="$(BUILD_FINGERPRINT)" \
			TARGET_BOARD_PLATFORM="$(TARGET_BOARD_PLATFORM)" \
			TARGET_CPU_ABI="$(TARGET_CPU_ABI)" \
			TARGET_CPU_ABI2="$(TARGET_CPU_ABI2)" \
			TARGET_AAPT_CHARACTERISTICS="$(TARGET_AAPT_CHARACTERISTICS)" \
	        bash $(BUILDINFO_SH) > $@
	$(hide) if [ -f $(TARGET_DEVICE_DIR)/system.prop ]; then \
	          cat $(TARGET_DEVICE_DIR)/system.prop >> $@; \
	        fi
	$(if $(ADDITIONAL_BUILD_PROPERTIES), \
		$(hide) echo >> $@; \
		        echo "#" >> $@; \
		        echo "# ADDITIONAL_BUILD_PROPERTIES" >> $@; \
		        echo "#" >> $@; )
	$(hide) $(foreach line,$(ADDITIONAL_BUILD_PROPERTIES), \
		echo "$(line)" >> $@;)
	$(hide) build/tools/post_process_props.py $@

build_desc :=

# -----------------------------------------------------------------
# sdk-build.prop
#
# There are certain things in build.prop that we don't want to
# ship with the sdk; remove them.

# This must be a list of entire property keys followed by
# "=" characters, without any internal spaces.
sdk_build_prop_remove := \
	ro.build.user= \
	ro.build.host= \
	ro.product.brand= \
	ro.product.manufacturer= \
	ro.product.device=
# TODO: Remove this soon-to-be obsolete property
sdk_build_prop_remove += ro.build.product=
INSTALLED_SDK_BUILD_PROP_TARGET := $(PRODUCT_OUT)/sdk/sdk-build.prop
$(INSTALLED_SDK_BUILD_PROP_TARGET): $(INSTALLED_BUILD_PROP_TARGET)
	@echo SDK buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) grep -v "$(subst $(space),\|,$(strip \
				$(sdk_build_prop_remove)))" $< > $@.tmp
	$(hide) for x in $(sdk_build_prop_remove); do \
				echo "$$x"generic >> $@.tmp; done
	$(hide) mv $@.tmp $@

# -----------------------------------------------------------------
# package stats
PACKAGE_STATS_FILE := $(PRODUCT_OUT)/package-stats.txt
PACKAGES_TO_STAT := \
    $(sort $(filter $(TARGET_OUT)/% $(TARGET_OUT_DATA)/%, \
	$(filter %.jar %.apk, $(ALL_DEFAULT_INSTALLED_MODULES))))
$(PACKAGE_STATS_FILE): $(PACKAGES_TO_STAT)
	@echo Package stats: $@
	@mkdir -p $(dir $@)
	$(hide) rm -f $@
	$(hide) build/tools/dump-package-stats $^ > $@

.PHONY: package-stats
package-stats: $(PACKAGE_STATS_FILE)

# -----------------------------------------------------------------
# Cert-to-package mapping.  Used by the post-build signing tools.
name := $(TARGET_PRODUCT)
ifeq ($(TARGET_BUILD_TYPE),debug)
  name := $(name)_debug
endif
name := $(name)-apkcerts-$(FILE_NAME_TAG)
intermediates := \
	$(call intermediates-dir-for,PACKAGING,apkcerts)
APKCERTS_FILE := $(intermediates)/$(name).txt
# We don't need to really build all the modules.
# TODO: rebuild APKCERTS_FILE if any app change its cert.
$(APKCERTS_FILE):
	@echo APK certs list: $@
	@mkdir -p $(dir $@)
	@rm -f $@
	$(hide) $(foreach p,$(PACKAGES),\
          $(if $(PACKAGES.$(p).EXTERNAL_KEY),\
	    echo 'name="$(p).apk" certificate="EXTERNAL" \
	         private_key=""' >> $@;,\
	    echo 'name="$(p).apk" certificate="$(PACKAGES.$(p).CERTIFICATE)" \
	         private_key="$(PACKAGES.$(p).PRIVATE_KEY)"' >> $@;))
	# In case $(PACKAGES) is empty.
	$(hide) touch $@

.PHONY: apkcerts-list
apkcerts-list: $(APKCERTS_FILE)

ifneq (,$(TARGET_BUILD_APPS))
  $(call dist-for-goals, apps_only, $(APKCERTS_FILE):apkcerts.txt)
endif

# -----------------------------------------------------------------
# module info file
ifdef CREATE_MODULE_INFO_FILE
  MODULE_INFO_FILE := $(PRODUCT_OUT)/module-info.txt
  $(info Generating $(MODULE_INFO_FILE)...)
  $(shell rm -f $(MODULE_INFO_FILE))
  $(foreach m,$(ALL_MODULES), \
    $(shell echo "NAME=\"$(m)\"" \
	"PATH=\"$(strip $(ALL_MODULES.$(m).PATH))\"" \
	"TAGS=\"$(strip $(filter-out _%,$(ALL_MODULES.$(m).TAGS)))\"" \
	"BUILT=\"$(strip $(ALL_MODULES.$(m).BUILT))\"" \
	"INSTALLED=\"$(strip $(ALL_MODULES.$(m).INSTALLED))\"" >> $(MODULE_INFO_FILE)))
endif

# -----------------------------------------------------------------

# The dev key is used to sign this package, and as the key required
# for future OTA packages installed by this system.  Actual product
# deliverables will be re-signed by hand.  We expect this file to
# exist with the suffixes ".x509.pem" and ".pk8".
DEFAULT_KEY_CERT_PAIR := $(DEFAULT_SYSTEM_DEV_CERTIFICATE)


# Rules that need to be present for the all targets, even
# if they don't do anything.
.PHONY: systemimage
systemimage:

# -----------------------------------------------------------------

.PHONY: event-log-tags

# Produce an event logs tag file for everything we know about, in order
# to properly allocate numbers.  Then produce a file that's filtered

=== android/hardware/ti/omap4xxx/domx/Makefile ===
#
#  Copyright 2001-2008 Texas Instruments - http://www.ti.com/
# 
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#  SEP xx,2002    REF=ORG			Swamy MC
#      Original version.
#  ----------------------------------------------------------------------------

#PROJROOT = $(ROOTDIR)/src

include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         = 
CDEFS          = DEBUG

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  =


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.
#TARGETTYPE  = ST_LIB
TARGETTYPE  =

# For shared object library, soname is filename.so.maj_ver
SH_SONAME = 

# Folders in which gmake will run before building current target

SUBMODULES  = \
mm_osal \
omx_core \
domx \
omx_proxy_component \
 
#video/omx_proxy_component/test 

# Filename must not begin with '.', '/' or '\'

SOURCES     =

# Search path for include files

INCLUDES    =

# Libraries needed for linking.

ST_LIBS        =
SH_LIBS        =

# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES =


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/domx/Makefile ===
#  
#  Copyright (C) Texas Instruments - http://www.ti.com/
#  
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#  
#        http://www.apache.org/licenses/LICENSE-2.0
#  
#   Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#      REF=ORG
#      Original version.
#  ----------------------------------------------------------------------------

#PROJROOT = ..

include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         = 
CDEFS          = 
ifeq ($(BUILD),udeb)
CDEFS          += DEBUG 
endif
CDEFS          +=

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  = libdomx


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.

TARGETTYPE  = SH_LIB

# install directory relative to the HOSTTARGET directory
HOSTRELEASE = lib

# install directory relative to the root filesystem
ROOTFSRELEASE = lib

# Folders in which gmake will run before building current target

SUBMODULES  = \

# Filename must not begin with '.', '/' or '\'

SOURCES     = \
omx_rpc/src/omx_rpc.c \
omx_rpc/src/omx_rpc_skel.c \
omx_rpc/src/omx_rpc_stub.c \
omx_rpc/src/omx_rpc_config.c \
omx_rpc/src/omx_rpc_platform.c \
omx_proxy_common/src/omx_proxy_common.c



# Search path for include files

INCLUDES    = \
    $(PROJROOT)/omx_core/inc \
    $(PROJROOT)/mm_osal/inc \
    $(PROJROOT)/domx \
    $(PROJROOT)/domx/omx_rpc \
    $(PROJROOT)/domx/omx_rpc/inc \
    ../../memmgrheaders \


# Libraries needed for linking.

ST_LIBS        = 
#mm_osal
SH_LIBS        = omx_core mm_osal 
#rcm ipc
#pthread rt utils procmgr ipc rcm notify
#SH_LIBS        += sysmgr sysmemmgr


# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES = $(PROJROOT)/mm_osal \
              $(PROJROOT)/omx_core


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/mm_osal/Makefile ===

include $(PROJROOT)/make/start.mk



# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  = libmm_osal


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.

TARGETTYPE  = SH_LIB

# install directory relative to the HOSTTARGET directory
HOSTRELEASE = lib

# install directory relative to the root filesystem
ROOTFSRELEASE = lib

# Filename must not begin with '.', '/' or '\'

SOURCES     = \
    src/timm_osal.c \
	src/timm_osal_events.c \
	src/timm_osal_memory.c \
	src/timm_osal_mutex.c \
	src/timm_osal_pipes.c \
	src/timm_osal_semaphores.c \
	src/timm_osal_task.c \
	src/timm_osal_trace.c



# Search path for include files

INCLUDES    = \
    inc/ \



ST_LIBS        = 
SH_LIBS        = 
#pthread
#pthread rt utils procmgr ipc rcm notify
#SH_LIBS        += sysmgr sysmemmgr


# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES =


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/omx_core/Makefile ===
#  
#  Copyright (C) Texas Instruments - http://www.ti.com/
#  
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#  
#        http://www.apache.org/licenses/LICENSE-2.0
#  
#   Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#      REF=ORG
#      Original version.
#  ----------------------------------------------------------------------------

#PROJROOT = ..

include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         += -DSTATIC_TABLE 
CDEFS          = 
ifeq ($(BUILD),udeb)
CDEFS          += DEBUG 
endif
CDEFS          +=

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  = libomx_core


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.

TARGETTYPE  = SH_LIB

# install directory relative to the HOSTTARGET directory
HOSTRELEASE = lib

# install directory relative to the root filesystem
ROOTFSRELEASE = lib

# Folders in which gmake will run before building current target

SUBMODULES  = \

# Filename must not begin with '.', '/' or '\'

SOURCES     = \
    src/OMX_Core.c \


# Search path for include files

INCLUDES    = \
    $(PROJROOT)/omx_core/inc \
    $(PROJROOT)/mm_osal/inc \

# Libraries needed for linking.

ST_LIBS        = 
#mm_osal omx_proxy_component
SH_LIBS        = mm_osal dl
#pthread rt utils procmgr ipc rcm notify
#SH_LIBS        += sysmgr sysmemmgr


# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES = $(PROJROOT)/mm_osal
#              $(PROJROOT)/video/omx_proxy_component/src


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/omx_proxy_component/Makefile ===
#
#  Copyright 2001-2008 Texas Instruments - http://www.ti.com/
# 
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#  SEP xx,2002    REF=ORG			Swamy MC
#      Original version.
#  ----------------------------------------------------------------------------

#PROJROOT = $(ROOTDIR)/src

include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         = 
CDEFS          = DEBUG

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  =


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.
#TARGETTYPE  = ST_LIB
TARGETTYPE  =

# For shared object library, soname is filename.so.maj_ver
SH_SONAME = 

# Folders in which gmake will run before building current target

SUBMODULES  = \
omx_sample \
omx_video_dec \
omx_h264_enc \
omx_mpeg4_enc \
 
#video/omx_proxy_component/test 

# Filename must not begin with '.', '/' or '\'

SOURCES     =

# Search path for include files

INCLUDES    =

# Libraries needed for linking.

ST_LIBS        =
SH_LIBS        =

# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES =


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/omx_proxy_component/omx_sample/Makefile ===
#  
#  Copyright (C) Texas Instruments - http://www.ti.com/
#  
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#  
#        http://www.apache.org/licenses/LICENSE-2.0
#  
#   Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#      REF=ORG
#      Original version.
#  ----------------------------------------------------------------------------



include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         = 
CDEFS          = 
ifeq ($(BUILD),udeb)
CDEFS          += DEBUG 
endif
CDEFS          +=

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  = libOMX.TI.DUCATI1.MISC.SAMPLE.so


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.

TARGETTYPE  = SH_LIB

# install directory relative to the HOSTTARGET directory
HOSTRELEASE = lib

# install directory relative to the root filesystem
ROOTFSRELEASE = lib

# Folders in which gmake will run before building current target

SUBMODULES  = \

# Filename must not begin with '.', '/' or '\'

SOURCES     = \
src/omx_proxy_sample.c \



# Search path for include files

INCLUDES    = \
    $(PROJROOT)/omx_core/inc \
    $(PROJROOT)/mm_osal/inc \
    $(PROJROOT)/domx \
    $(PROJROOT)/domx/omx_rpc/inc \


# Libraries needed for linking.

ST_LIBS        = 
#mm_osal domx
SH_LIBS        = domx omx_core mm_osal
#pthread rt utils procmgr ipc rcm notify
#SH_LIBS        += sysmgr sysmemmgr


# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES = $(PROJROOT)/mm_osal \
              $(PROJROOT)/domx \
              $(PROJROOT)/omx_core


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== android/hardware/ti/omap4xxx/domx/test/sample_proxy/Makefile ===
#  
#  Copyright (C) Texas Instruments - http://www.ti.com/
#  
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#  
#        http://www.apache.org/licenses/LICENSE-2.0
#  
#   Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  
#  ----------------------------------------------------------------------------
#  Revision History
#
#
#      REF=ORG
#      Original version.
#  ----------------------------------------------------------------------------



include $(PROJROOT)/make/start.mk

# Do not change above "include" line(s)

# Arguments to tools, will move to make system once finalized.

CFLAGS         = 
CDEFS          = 
ifeq ($(BUILD),udeb)
CDEFS          += DEBUG 
endif
CDEFS          +=

EXEC_ARGS      = 
ST_LIB_ARGS    = 
SH_LIB_ARGS    = 

# Define this macro if target runs in kernel mode
#__KERNEL__ = 1

# Target name and extension
# static library        (ST_LIB): filename.a
# shared library soname (SH_LIB): filename.so.maj_ver.min_ver
# executable            (EXEC)  : filename.out

TARGETNAME  = sampletest


# TARGETTYPE must be EXEC, ST_LIB or SH_LIB in upper case.

TARGETTYPE  = EXEC

# install directory relative to the HOSTTARGET directory
HOSTRELEASE = binaries

# install directory relative to the root filesystem
ROOTFSRELEASE = binaries

# Folders in which gmake will run before building current target

SUBMODULES  = \

# Filename must not begin with '.', '/' or '\'

SOURCES     = \
test_sample_proxy.c



# Search path for include files

INCLUDES    = \
    $(PROJROOT)/omx_core/inc \
    $(PROJROOT)/mm_osal/inc \
    $(MEMMGRROOT)

# Libraries needed for linking.

ST_LIBS        =
#omx_core omx_proxy_component domx mm_osal
SH_LIBS        = pthread dl omx_core OMX.TI.DUCATI1.MISC.SAMPLE domx mm_osal timemmgr


# Search path for library (and linker command) files.
# Current folder and target folder are included by default.

LIBINCLUDES = $(PROJROOT)/target/lib 


# Do not change below "include" line(s)

include $(PROJROOT)/make/build.mk

=== debian/changelog ===
gcc-arm-linux-androideabi (0.20130705.1-0ubuntu9) xenial; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-3ubuntu10):
  * Build using gcc-4.7.
  * Configure the stage2 gcc build with --enable-cloog-backend=ppl.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2015 21:15:41 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu8) utopic; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-2ubuntu1):
    - Update to the GCC 4.7.4 release.
    - Update the Linaro support to the 4.7-2014.04 release.
  * Build with make-4.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2014 15:34:33 +0200

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu7) trusty; urgency=medium

  * Rebuild against gcc-4.7 (4.7.3-12ubuntu1):
    - Update to SVN 20140320 (r208693) from the gcc-4_7-branch.
    - Update the Linaro support to the 4.7-2014.01 release.
  * Change build-dependency from libppl0.12-dev to libppl-dev.
  * Change build-dependency from libcloog-isl-dev to libcloog-ppl-dev.
  * Change enable-cloog-backend from isl to ppl.
  * Pass --with-cloog configure option.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Mar 2014 14:59:34 +0000

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu6) trusty; urgency=medium

  * Rebuild against gcc-4.7 (4.7.3-10ubuntu1) trusty:
    - Update to SVN 20140112 (r206563) from the gcc-4_7-branch. 
    - Update the Linaro support to the 4.7-2013.12 release.
  * Enable support for -fuse-ld=gold compiler option.
  
 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2014 23:37:52 +0000

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu5) saucy; urgency=low

  * Rebuild against gcc-4.7 (4.7.3-7):
    - Update to SVN 20130821 (r201895) from the gcc-4_7-branch.
    - Update the Linaro support to the 4.7-2013.08 release.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 06 Sep 2013 12:24:29 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu4) saucy; urgency=low

  * Build against Linaro support to the 4.7-2013.07 release.
  * Drop spurious patch and stub documentation.
  * Build without binutils patches.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 15 Jul 2013 17:47:44 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu3) saucy; urgency=low

  * Ship bionic libc and headers.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 08 Jul 2013 16:58:36 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu2) saucy; urgency=low

  * Use /usr/lib, instead of /usr/libexec
  * Remove unneeded .la files
  * Remove versioned gcc-4.x.y symlink
  * Build shared binutils
  * Use xz compression on debian package

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 05 Jul 2013 19:50:17 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu1) saucy; urgency=low

  * Initial release, android cross-toolchain.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 05 Jul 2013 10:12:24 +0100

=== debian/control ===
Source: gcc-arm-linux-androideabi
Section: devel
Priority: extra
Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib, binutils-multiarch, gcc-4.7,
  binutils-source, gcc-4.7-source (>= 4.7.4-3ubuntu10),
  libpplv4-dev,
  bison, flex, python,
  zlib1g-dev, libcloog-pplv4-dev, libgmp-dev, libmpfr-dev, libmpc-dev,
  patchutils, quilt, lsb-release, texinfo, autogen, dh-exec
Standards-Version: 3.9.6

Package: gcc-arm-linux-androideabi
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-multiarch
Description: cross toolchain and binutils for Android/Bionic on ARM
 Cross toolchain targetting Android/Bionic on ARM such as Android,
 ClockWorkMod, Ubuntu Touch recovery image, Ubuntu Tounch android
 containers.
 .
 This package include gcc toolchain for C/C++ languages and binutils.
 .
 Libionic is not included in this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

d = debian/gcc-arm-linux-androideabi
DESTDIR = $(CURDIR)/tmp

include /usr/share/dpkg/default.mk

TARGET	= arm-linux-androideabi
TARGET_TOOLS_PATH = $(DESTDIR)/usr
TARGET_TOOLS_PREFIX = $(TARGET_TOOLS_PATH)/bin/$(TARGET)-

SYSROOT=$(CURDIR)/sys-root

SET_PATH = PATH=$(DESTDIR)/usr/bin:$(PATH)

CFLAGS_FOR_TARGET = -O2 -Os -g -DTARGET_POSIX_IO -fno-short-enums -isystem $(CURDIR)/android/bionic/libc/include -isystem $(CURDIR)/android/bionic/libc/kernel/common -isystem $(CURDIR)/android/bionic/libc/kernel/arch-arm -isystem $(CURDIR)/android/bionic/libc/arch-arm/include -isystem $(CURDIR)/android/bionic/libm/include -isystem $(CURDIR)/android/bionic/libm/include/arm -isystem $(CURDIR)/android/bionic/libm/arm -include $(CURDIR)/android/bionic/libc/include/sys/limits.h

CFLAGS=-O2

# only used to build gcc
CC = gcc-4.7

stamps/binutils-prepare:
	rm -rf binutils
	mkdir -p binutils
	tar -C binutils -x -f /usr/src/binutils/binutils-*.tar.*
	cd binutils && ln -sf binutils-* binutils
	#cd binutils/binutils && QUILT_PATCHES=$(CURDIR)/debian/patches/binutils quilt --quiltrc - push -a
	mkdir -p stamps && touch $@

stamps/gcc-prepare:
	rm -rf gcc
	cp -a /usr/src/gcc-4.7 gcc
	mkdir -p gcc/stamps
	cd gcc && debian/rules series
	cp debian/patches/gcc/* gcc/debian/patches/
	cd gcc && debian/rules patch
	mkdir -p stamps && touch $@

stamps/binutils1: stamps/binutils-prepare
	mkdir -p binutils/build1
	cd binutils/build1 && \
	  ../binutils/configure \
		--prefix=/usr \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(TARGET) \
		--disable-docs \
		--disable-nls \
		--disable-werror \
		--disable-ppl-version-check \
		--enable-gold=default \
                --with-cloog \
		--disable-cloog-version-check \
		--enable-cloog-backend=ppl \
		--enable-plugins \
		--enable-threads \
		--disable-shared
	dh_auto_build --parallel -Bbinutils/build1
	dh_auto_build --parallel -Bbinutils/build1 -- install DESTDIR=$(DESTDIR)
	mkdir -p stamps && touch $@

stamps/gcc-stage1: stamps/binutils1 stamps/gcc-prepare
	rm -rf gcc/stage1
	mkdir -p gcc/stage1
	cd gcc/stage1 && \
	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CC="$(CC)" ../src/configure \
		--prefix=$(DESTDIR)/usr \
		--libexecdir=$(DESTDIR)/usr/lib \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(TARGET) \
		--disable-multilib \
		--with-gnu-as \
		--with-gnu-ld \
		--enable-languages=c,c++ \
                --with-cloog \
		--disable-ppl-version-check \
		--disable-cloog-version-check \
		--enable-cloog-backend=ppl \
		--disable-libssp --disable-nls \
		--disable-libmudflap \
		--disable-shared \
		--disable-sjlj-exceptions \
		--disable-libquadmath \
		--disable-libitm \
		--disable-libatomic \
		--with-float=soft \
		--with-fpu=vfp \
		--with-arch=armv5te \
		--enable-target-optspace \
		--disable-docs \
		--disable-nls \
		--enable-threads \
		--enable-tls \
		--disable-libgomp \
		--disable-libstdc__-v3 \
		--disable-libitm \
		--disable-libatomic
	$(SET_PATH) dh_auto_build --parallel -Bgcc/stage1 -- CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET)"
	$(SET_PATH) dh_auto_build --parallel -Bgcc/stage1 -- install
	touch $@

stamps/bionic1: stamps/gcc-stage1
	ONE_SHOT_MAKEFILE=build/libs/host/Android.mk dh_auto_build --parallel -B$(CURDIR)/android -- all_modules TARGET_TOOLS_PREFIX=$(TARGET_TOOLS_PREFIX) TARGET_PRODUCT=pandaboard showcommands
	ONE_SHOT_MAKEFILE=build/tools/acp/Android.mk dh_auto_build --parallel -B$(CURDIR)/android -- all_modules TARGET_TOOLS_PREFIX=$(TARGET_TOOLS_PREFIX) TARGET_PRODUCT=pandaboard showcommands
	ONE_SHOT_MAKEFILE=bionic/Android.mk dh_auto_build --parallel -B$(CURDIR)/android -- all_modules out/target/product/pandaboard/obj/lib/crtbegin_dynamic.o  TARGET_TOOLS_PREFIX=$(TARGET_TOOLS_PREFIX) TARGET_PRODUCT=pandaboard showcommands
	./debian/build-sysroot.sh $(CURDIR)/android/out/target/product/pandaboard/ $(SYSROOT)
	touch dummy.c
	$(SET_PATH) $(TARGET)-gcc -O2 -o dummy.o -c dummy.c
	$(SET_PATH) $(TARGET)-ar cru $(SYSROOT)/usr/lib/libpthread.a dummy.o
	$(SET_PATH) $(TARGET)-ranlib $(SYSROOT)/usr/lib/libpthread.a
	rm -f dummy.[co]

	touch $@

stamps/gcc-stage2: stamps/binutils1 stamps/bionic1
	rm -rf gcc/stage2
	mkdir -p gcc/stage2
	# FIXME should use --prefix=/usr & --with-build-sysroot ?
	cd gcc/stage2 && \
	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -fexceptions" CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET) -frtti" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CC="$(CC)" ../src/configure \
		--prefix=/usr \
		--libexecdir=/usr/lib \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(TARGET) \
		--with-build-sysroot=$(SYSROOT) \
		--disable-multilib \
		--with-gnu-as \
		--with-gnu-ld \
		--enable-languages=c,c++ \
		--disable-ppl-version-check \
		--disable-cloog-version-check \
		--enable-cloog-backend=ppl \
		--disable-libssp \
		--disable-nls \
		--disable-libmudflap \
		--disable-shared \
		--disable-sjlj-exceptions \
		--disable-libquadmath \
		--disable-libitm \
		--disable-libatomic \
		--with-float=soft \
		--with-fpu=vfp \
		--with-arch=armv5te \
		--enable-target-optspace \
		--disable-docs \
		--disable-nls \
		--enable-threads \
		--enable-tls \
		--enable-libgomp \
		--disable-libitm \
		--disable-libatomic \
		--disable-libstdc__-v3
	$(SET_PATH) dh_auto_build --parallel -Bgcc/stage2 -- CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -fexceptions" CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET) -frtti"
	$(SET_PATH) dh_auto_build --parallel -Bgcc/stage2 -- install DESTDIR=$(DESTDIR)
	touch $@

# Build shared binutils2
stamps/binutils2: stamps/binutils-prepare
	mkdir -p binutils/build2
	cd binutils/build2 && \
	  ../binutils/configure \
		--prefix=/usr \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(TARGET) \
		--disable-docs \
		--disable-nls \
		--disable-werror \
		--disable-ppl-version-check \
		--enable-gold=default \
		--disable-cloog-version-check \
		--enable-cloog-backend=isl \
		--enable-plugins \
		--enable-threads \
		--enable-shared
	dh_auto_build --parallel -Bbinutils/build2
	dh_auto_build --parallel -Bbinutils/build2 -- install DESTDIR=$(DESTDIR)
	mkdir -p stamps && touch $@

build: build-arch build-indep

build-arch: stamps/gcc-stage2 stamps/binutils2
build-indep:

clean: 
	dh_testdir
	dh_testroot
	rm -rf stamps
	rm -rf binutils gcc android/out tmp $(SYSROOT)
	dh_clean 

install: install-indep install-arch
install-indep:

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	tar -C $(DESTDIR) -c -f - . | tar -C $(d) -x -f -

	cp -a $(SYSROOT)/usr/lib/* $(d)/usr/$(TARGET)/lib/
	cp -a $(SYSROOT)/usr/include $(d)/usr/$(TARGET)
	find $(d) -name "*.la" -delete
	rm -rf $(d)/usr/bin/$(TARGET)-gcc-*
	rm -rf $(d)/usr/lib/libiberty.a
	rm -rf $(d)/usr/share/locale
	rm -rf $(d)/usr/share/man/man7
	rm -rf $(d)/usr/share/info

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)
	cp android/bionic/libm/NOTICE debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/copyright.libm
	cp android/bionic/libc/NOTICE debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/copyright.libc
	cp android/frameworks/native/NOTICE debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/copyright.frameworks.native	
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installexamples -s
	dh_installman -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s -X.so
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s -- -Zxz

get-orig-source:
	fakeroot ./debian/rules clean
	-quilt pop -a -f
